# MultiSigKeySigner | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- CLITransactionSigner
  - MultiSigKeySigner

### Implements

- TransactionSigner

## Index

### Constructors

- constructor

### Properties

- address
- isComplete
- m
- privateKeys
- redeemScript

### Methods

- getAddress
- signTransaction
- signerVersion

## Constructors

### constructor

- new MultiSigKeySigner(redeemScript: string, privateKeys: string[]): MultiSigKeySigner

- Overrides CLITransactionSigner.constructor

  - Defined in packages/cli/src/utils.ts:82

  #### Parameters

  - ##### redeemScript: string

  - ##### privateKeys: string[]

  #### Returns MultiSigKeySigner

## Properties

### address

address: string

Inherited from CLITransactionSigner.address

- Defined in packages/cli/src/utils.ts:56

### isComplete

isComplete: boolean

Inherited from CLITransactionSigner.isComplete

- Defined in packages/cli/src/utils.ts:57

### m

m: number

- Defined in packages/cli/src/utils.ts:82

### privateKeys

privateKeys: string[]

- Defined in packages/cli/src/utils.ts:81

### redeemScript

redeemScript: Buffer

- Defined in packages/cli/src/utils.ts:80

## Methods

### getAddress

- getAddress(): Promise<string>

- Overrides CLITransactionSigner.getAddress

  - Defined in packages/cli/src/utils.ts:104

  #### Returns Promise<string>

### signTransaction

- signTransaction(txIn: TransactionBuilder, signingIndex: number): Promise<void>

- Overrides CLITransactionSigner.signTransaction

  - Defined in packages/cli/src/utils.ts:108

  #### Parameters

  - ##### txIn: TransactionBuilder

  - ##### signingIndex: number

  #### Returns Promise<void>

### signerVersion

- signerVersion(): number

- Overrides CLITransactionSigner.signerVersion

  - Defined in packages/cli/src/utils.ts:118

  #### Returns number

Generated using TypeDoc